//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("addnew.res");
USEOBJ("..\Lib\sgConsts.obj");
USEOBJ("..\Lib\DXFConv.obj");
USEOBJ("..\Lib\DXFImage.obj");
USEOBJ("..\Lib\SHX.obj");
USEOBJ("..\Lib\Extrusion.obj");
USEOBJ("..\Lib\CGM.obj");
USEOBJ("..\Lib\DWG.obj");
USEOBJ("..\Lib\HPGL2.obj");
USEOBJ("..\Lib\SVG.obj");
USEFORM("..\..\Units\AddNew\fEntity.cpp", fmCreateEntity);
USEFORM("..\..\Units\AddNew\fLayers.cpp", fmLayers);
USEFORM("..\..\Units\AddNew\fMain.cpp", fmMain);
USEOBJ("..\Lib\sgDrawingNavigator.obj");
USEOBJ("..\Lib\DXFExport.obj");
USEOBJ("..\Lib\CADtoDXF.obj");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     Application->CreateForm(__classid(TfmMain), &fmMain);
     Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
